org.apache.flume.instrumentation.kafka

## Interface KafkaChannelCounterMBean

- All Known Implementing Classes:
    KafkaChannelCounter

      public interface KafkaChannelCounterMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getChannelCapacity()`
    `double` | `getChannelFillPercentage()`
    `long` | `getChannelSize()`
    `long` | `getEventPutAttemptCount()`
    `long` | `getEventPutSuccessCount()`
    `long` | `getEventTakeAttemptCount()`
    `long` | `getEventTakeSuccessCount()`
    `long` | `getKafkaCommitTimer()`
    `long` | `getKafkaEventGetTimer()`
    `long` | `getKafkaEventSendTimer()`
    `long` | `getRollbackCount()`
    `long` | `getStartTime()`
    `long` | `getStopTime()`
    `String` | `getType()`

- - ### Method Detail

    - #### getKafkaEventGetTimer

          long getKafkaEventGetTimer()

    - #### getKafkaEventSendTimer

          long getKafkaEventSendTimer()

    - #### getKafkaCommitTimer

          long getKafkaCommitTimer()

    - #### getRollbackCount

          long getRollbackCount()

    - #### getChannelSize

          long getChannelSize()

    - #### getEventPutAttemptCount

          long getEventPutAttemptCount()

    - #### getEventTakeAttemptCount

          long getEventTakeAttemptCount()

    - #### getEventPutSuccessCount

          long getEventPutSuccessCount()

    - #### getEventTakeSuccessCount

          long getEventTakeSuccessCount()

    - #### getStartTime

          long getStartTime()

    - #### getStopTime

          long getStopTime()

    - #### getChannelCapacity

          long getChannelCapacity()

    - #### getType

          String getType()

    - #### getChannelFillPercentage

          double getChannelFillPercentage()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.